# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nova-boot-gateway"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "API gateway helpers and integrations for Nova"
readme = "README.md"
keywords = [
    "microservices",
    "axum",
    "web",
    "nova",
]
categories = ["web-programming::http-server"]
license = "MIT"
repository = "https://github.com/nova-boot-rs/nova"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[lib]
name = "nova_boot_gateway"
path = "src/lib.rs"

[dependencies]
